<?php

namespace App\Patient\Repository;

use App\Patient\Entity\SessionService;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

class SessionServiceRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, SessionService::class);
    }

    public function save(SessionService $service): void
    {
        $this->getEntityManager()->persist($service);
        $this->getEntityManager()->flush();
    }
}
